  
#ifndef _msmetadata_cmpt_h_
#define _msmetadata_cmpt_h_

#include <vector>
#include <string>
#include <complex>
#include <stdcasa/record.h>
#include <tools/casaswig_types.h>
#include <casa/Exceptions/Error.h>
#include <tools/ms/msmetadata_forward.h>

using namespace std;

namespace casac {
           


   class  msmetadata  {
       public :
msmetadata();
         ~msmetadata();
         std::vector<int> almaspws( bool  chavg=false,  bool  fdm=false,  bool  sqld=false,  bool  tdm=false,  bool  wvr=false,  bool  complement=false);
         std::vector<int> antennaids( const variant& name = initialize_variant(""),  const variant& mindiameter = initialize_variant("0m"),  const variant& maxdiameter = initialize_variant("1pc"));
         std::vector<std::string> antennanames( const variant& antennaids = initialize_variant("-1 -1"));
         record* antennaoffset( const variant& which = initialize_variant("0"));
         record* antennaposition( const variant& which = initialize_variant("0"));
         std::vector<std::string> antennastations( const variant& which = initialize_variant("-1"));
         variant* bandwidths( const variant& spw = initialize_variant("-1"));
         int baseband( int  spw);
         variant* baselines();
         std::vector<int> chanavgspws();
         std::vector<double>chanfreqs( int  spw,  const string& unit=string("Hz"));
         std::vector<double>chanwidths( int  spw,  const string& unit=string("Hz"));
         bool close();
         std::vector<int> datadescids( int  spw=-1,  int  pol=-1);
         bool done();
         record* effexposuretime();
         record* exposuretime( int  scan=0,  int  spwid=0,  int  polid=-1);
         std::vector<int> fdmspws();
         variant* fieldsforintent( const string& intent=string(""),  bool  asnames=false);
         std::vector<int> fieldsforname( const string& name=string(""));
         variant* fieldsforscan( int  scan=-1,  bool  asnames=false);
         variant* fieldsforscans( const  std::vector<int>& scans=std::vector<int>() ,  bool  asnames=false);
         variant* fieldsforsource( int  source=-1,  bool  asnames=false);
         variant* fieldsforspw( int  spw=-1,  bool  asnames=false);
         std::vector<int> fieldsfortimes(
			  double time=-1, 
			  double tol=0);
         std::vector<std::string> intents();
         std::vector<std::string> intentsforfield( const variant& field = initialize_variant("-1"));
         std::vector<std::string> intentsforscan( int  scan=-1);
         std::vector<std::string> intentsforspw( int  spw=-1);
         double meanfreq( int  spw,  const string& unit=string("Hz"));
         string name();
         int nantennas();
         std::vector<std::string> namesforfields( const variant& fieldids = initialize_variant(""));
         std::vector<std::string> namesforspws( const variant& spwids = initialize_variant(""));
         int nbaselines();
         int nchan( int  spw);
         int nfields();
         int nobservations();
         int nspw( bool  includewvr=true);
         int nstates();
         int nscans();
         double nrows( bool  auto=true,  bool  flagged=true);
         std::vector<std::string> observatorynames();
         record* observatoryposition( int  which=0);
         bool open( const string& msfile=string(""),  float  maxcache=50);
         record* pointingdirection( int  rownum=0);
         std::vector<int> scannumbers();
         std::vector<int> scansforfield( const variant& intent = initialize_variant(""));
         std::vector<int> scansforintent( const string& intent=string("-1"));
         std::vector<int> scansforspw( int  spw=-1);
         std::vector<int> scansforstate( int  state=-1);
         std::vector<int> scansfortimes(
			  double time=-1, 
			  double tol=0);
         int sideband( int  spw);
         variant* spwsforbaseband( int  baseband=-1,  const string& sqldmode=string("include"));
         std::vector<int> spwsforfield( const variant& field = initialize_variant(""));
         std::vector<int> spwsforintent( const string& intent=string(""));
         std::vector<int> spwsforscan( int  scan=-1);
         std::vector<int> statesforscan( int  scan=-1);
         std::vector<int> tdmspws();
         std::vector<double>timesforfield( int  field=-1);
         std::vector<double>timesforintent( const string& intent=string(""));
         std::vector<double>timesforscan( int  scan=-1);
         std::vector<double>timesforscans( const  std::vector<int>& scans=initialize_vector(1, (int)-1));
         std::vector<int> wvrspws( bool  complement=-false);

      private :
#include <tools/ms/msmetadata_private.h>
   }; 

 
}
#endif
