  
#ifndef _synthesisimager_cmpt_h_
#define _synthesisimager_cmpt_h_

#include <vector>
#include <string>
#include <complex>
#include <stdcasa/record.h>
#include <tools/casaswig_types.h>
#include <casa/Exceptions/Error.h>
#include <synthesisimstore_cmpt.h>
#include <tools/synthesis/synthesisimager_forward.h>

using namespace std;

namespace casac {
           


   class  synthesisimager  {
       public :
synthesisimager();
         ~synthesisimager();
         bool selectdata( const record& selpars=initialize_record("") );
         bool defineimage( const record& impars=initialize_record("") ,  const record& gridpars=initialize_record("") );
         bool setweighting(const  string& type=string("natural"), const  string& rmode=string("norm"),  const variant& noise= initialize_variant(""), 
			  double robust=0.0,  const variant& fieldofview= initialize_variant(""),  int  npixels=0,  bool  multifield=false,  const std::vector<std::string>& uvtaper=std::vector<string>(1, ""));
         bool makepsf();
         bool predictmodel();
         bool executemajorcycle( const record& controls=initialize_record("") );
         
                                      casac::synthesisimstore* getimstore( int  id=0);
         bool done();

      private :
#include <tools/synthesis/synthesisimager_private.h>
   }; 

 
}
#endif
