  
#ifndef _synthesisutils_cmpt_h_
#define _synthesisutils_cmpt_h_

#include <vector>
#include <string>
#include <complex>
#include <stdcasa/record.h>
#include <tools/casaswig_types.h>
#include <casa/Exceptions/Error.h>
#include <synthesisimstore_cmpt.h>
#include <tools/synthesis/synthesisutils_forward.h>

using namespace std;

namespace casac {
           


   class  synthesisutils  {
       public :
synthesisutils();
         ~synthesisutils();
         record* contdatapartition( const record& selpars=initialize_record("") ,  int  npart=1);
         record* cubedatapartition( const record& selpars=initialize_record("") ,  int  npart=1,  const variant& fstart= initialize_variant("1GHz"),  const variant& fend= initialize_variant("1.5GHz"), const  string& frame=string("LSRK"));
         record* cubeimagepartition( const record& impars=initialize_record("") ,  int  npart=1);
         record* checkselectionparams( const record& selpars=initialize_record("") );
         record* checkimageparams( const record& impars=initialize_record("") );
         record* checkgridparams( const record& gridpars=initialize_record("") );
         bool done();

      private :
#include <tools/synthesis/synthesisutils_private.h>
   }; 

 
}
#endif
