//# Images.h: N-dimensional astronomical images
//# Copyright (C) 1998,1999
//# Associated Universities, Inc. Washington DC, USA.
//#
//# This library is free software; you can redistribute it and/or modify it
//# under the terms of the GNU Library General Public License as published by
//# the Free Software Foundation; either version 2 of the License, or (at your
//# option) any later version.
//#
//# This library is distributed in the hope that it will be useful, but WITHOUT
//# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
//# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
//# License for more details.
//#
//# You should have received a copy of the GNU Library General Public License
//# along with this library; if not, write to the Free Software Foundation,
//# Inc., 675 Massachusetts Ave, Cambridge, MA 02139, USA.
//#
//# Correspondence concerning AIPS++ should be addressed as follows:
//#        Internet email: aips2-request@nrao.edu.
//#        Postal address: AIPS++ Project Office
//#                        National Radio Astronomy Observatory
//#                        520 Edgemont Road
//#                        Charlottesville, VA 22903-2475 USA
//#
//# $Id: Images.h 20691 2009-07-14 03:13:54Z Malte.Marquarding $

#ifndef IMAGES_IMAGES_H
#define IMAGES_IMAGES_H


#include <casa/Arrays/IPosition.h>
#include <casa/Arrays/Slice.h>
#include <casa/Arrays/Slicer.h>

namespace casa { //# NAMESPACE CASA - BEGIN

//#include <casa/Arrays/ArrayLattice.h>
//#include <casa/Arrays/PagedArray.h>
//#include <casa/Arrays/TempLattice.h>
//#include <casa/Arrays/TiledShape.h>
//#include <casa/Arrays/LatticeIterator.h>
//#include <casa/Arrays/LatticeStepper.h>
//#include <casa/Arrays/TileStepper.h>
//#include <casa/Arrays/TiledLineStepper.h>

//#include <lattices/Lattices/SubLattice.h>
//#include <lattices/Lattices/LatticeExpr.h>

//#include <lattices/Lattices/LatticeRegion.h>
//#include <lattices/Lattices/LCSlicer.h>
//#include <lattices/Lattices/LCBox.h>
//#include <lattices/Lattices/LCEllipsoid.h>
//#include <lattices/Lattices/LCPolygon.h>
//#include <lattices/Lattices/LCUnion.h>
//#include <lattices/Lattices/LCIntersection.h>
//#include <lattices/Lattices/LCDifference.h>
//#include <lattices/Lattices/LCConcatenation.h>
//#include <lattices/Lattices/LCComplement.h>
//#include <lattices/Lattices/LCExtension.h>


// <module>

// <summary>
// N-dimensional astronomical images
// </summary>

// <prerequisite>
//   <li> Programmers of new Image classes should understand Inheritance
//   <li> Users of the Image classes should understand Polymorphism.
//   <li> class <linkto class=Lattice>Lattice</linkto>
//   <li> class <linkto class=CoordinateSystem>CoordinateSystem</linkto>
// </prerequisite>

// <reviewed reviewer="UNKNOWN" date="before2004/08/25" demos="">
// </reviewed>

// <etymology>
// </etymology>

// <synopsis>
// </synopsis>

// <motivation>
// </motivation>

//# <todo asof="1998/11/02">
//# </todo>

// </module>


} //# NAMESPACE CASA - END

#endif
