//# LatticeMath.h: Mathematical operations (fitting) on lattices
//# Copyright (C) 2006
//# Associated Universities, Inc. Washington DC, USA.
//#
//# This library is free software; you can redistribute it and/or modify it
//# under the terms of the GNU Library General Public License as published by
//# the Free Software Foundation; either version 2 of the License, or (at your
//# option) any later version.
//#
//# This library is distributed in the hope that it will be useful, but WITHOUT
//# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
//# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
//# License for more details.
//#
//# You should have received a copy of the GNU Library General Public License
//# along with this library; if not, write to the Free Software Foundation,
//# Inc., 675 Massachusetts Ave, Cambridge, MA 02139, USA.
//#
//# Correspondence concerning AIPS++ should be addressed as follows:
//#        Internet email: aips2-request@nrao.edu.
//#        Postal address: AIPS++ Project Office
//#                        National Radio Astronomy Observatory
//#                        520 Edgemont Road
//#                        Charlottesville, VA 22903-2475 USA
//#
//# $Id: LatticeMath.h 20691 2009-07-14 03:13:54Z Malte.Marquarding $

#ifndef LATTICES_LATTICEMATH_H
#define LATTICES_LATTICEMATH_H

#include <lattices/LatticeMath/LatticeFit.h>
#include <lattices/LatticeMath/Fit2D.h>

namespace casa { //# NAMESPACE CASA - BEGIN

// <module>

// <summary>
// Mathematical operations (fitting) on lattices.
// </summary>

// <prerequisite>
//   <li> module <linkto module=Lattices>Lattices</linkto>
//   <li> module <linkto module=Fitting>Fitting</linkto>
//   <li> module <linkto module=Functionals>Functionals</linkto>
// </prerequisite>

// <reviewed reviewer="Peter Barnes" date="1999/10/30" demos="">
// </reviewed>

// <synopsis>
// LatticeMath contains a few classes to do fitting of a 1-dim or 2-dim
// functional to the data in a lattice.
// </synopsis>

// </module>

} //# NAMESPACE CASA - END

#endif
